/*
Krake Webcrawlerframework
Copyright (C) LS2 TU Dortmund (http://ls2-www.cs.tu-dortmund.de)

This file is part of the Krake Webcrawlerframework.
The sourcecode and data files provided come without any warranty. Use at your own risk!

The sourcecode is the intellectual property of its authors. You have permission to download
and use this sourcecode for the sake of inspection and for private and academic use. You are
not allowed to redistribute this sourcecode without our permission. If you want to use the
sourcecode in any other way as granted above,
please contact Christian Sohler <christian.sohler[at]tu-dortmund.de>.
*/
package krake.file;

import krake.Common;
import krake.KrakeConfig;
import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FSDataInputStream;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;

import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;

public class HashToURLMapping
{
	private Map<String, String> map = new HashMap<String, String>(8000000);
	
	public HashToURLMapping(DataInputStream in) throws IOException
	{
		BufferedReader bread = new BufferedReader(new InputStreamReader(in));
		
		while(true)
		{
			String line = bread.readLine();
			String[] elements = line.split("\\t");
			map.put(elements[0], elements[1]);
		}
	}
	
	public String get(String hash)
	{
		return map.get(hash);
	}

	/**
	 * Debugging main
	 */
	public static void main(String[] args) throws IOException
	{
		KrakeConfig.load();
		Configuration config = Common.getDefaultHadoopConfig();
		FileSystem fs = FileSystem.get(config);
		
		FSDataInputStream in = fs.open(new Path("totalexport/id_to_url.txt"));
		@SuppressWarnings("unused")
		HashToURLMapping mapping = new HashToURLMapping(in);
		System.out.println("Done");
		in.close();
	}
}
