/*
Krake Webcrawlerframework
Copyright (C) LS2 TU Dortmund (http://ls2-www.cs.tu-dortmund.de)

This file is part of the Krake Webcrawlerframework.
The sourcecode and data files provided come without any warranty. Use at your own risk!

The sourcecode is the intellectual property of its authors. You have permission to download
and use this sourcecode for the sake of inspection and for private and academic use. You are
not allowed to redistribute this sourcecode without our permission. If you want to use the
sourcecode in any other way as granted above,
please contact Christian Sohler <christian.sohler[at]tu-dortmund.de>.
*/
package krake.keys;

/**
 * Metainfo for each key (representing an URL) in the keystorage.
 * Indicates if the URL has been seen by the crawl, was crawled correcly or if some kind
 * of error occured.
 */
public enum KeyInfo
{
	SEEN,
	CRAWLED,
	ERROR_GENERIC,
	ERROR_TIMEOUT,
	ERROR_PROTOCOL,
	ERROR_SITE_TOO_BIG,
	ERROR_NON200_RESPONSE,
	ERROR_INVALID_CONTENT_TYPE,
	ERROR_CONTENT_IS_NON_HTML
}
