/*
Krake Webcrawlerframework
Copyright (C) LS2 TU Dortmund (http://ls2-www.cs.tu-dortmund.de)

This file is part of the Krake Webcrawlerframework.
The sourcecode and data files provided come without any warranty. Use at your own risk!

The sourcecode is the intellectual property of its authors. You have permission to download
and use this sourcecode for the sake of inspection and for private and academic use. You are
not allowed to redistribute this sourcecode without our permission. If you want to use the
sourcecode in any other way as granted above,
please contact Christian Sohler <christian.sohler[at]tu-dortmund.de>.
*/
package krake.mapreduce;

import krake.Common;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

import java.io.IOException;
import java.net.URL;

/**
 * Mapper part of the export job.
 * Input: [Url, Content]
 * Output: [Hash, (Url, Content)]
 *
 * @author Thomas Nitschke
 */
public class ExportMapper extends Mapper<Text, Text, Text, TextPairWritable>
{
	@Override
	protected void setup(Context ctx)
	{
	}

	@Override
	protected void cleanup(Context ctx)
	{
	}


	public void map(Text url, Text content, Context context) throws IOException, InterruptedException
	{
		// hash the url and ouput data
		URL _url = new URL(url.toString());
		String hash = Common.normalize(_url);
		context.write(new Text(hash), new TextPairWritable(url, content));
	}
}