/*
Krake Webcrawlerframework
Copyright (C) LS2 TU Dortmund (http://ls2-www.cs.tu-dortmund.de)

This file is part of the Krake Webcrawlerframework.
The sourcecode and data files provided come without any warranty. Use at your own risk!

The sourcecode is the intellectual property of its authors. You have permission to download
and use this sourcecode for the sake of inspection and for private and academic use. You are
not allowed to redistribute this sourcecode without our permission. If you want to use the
sourcecode in any other way as granted above,
please contact Christian Sohler <christian.sohler[at]tu-dortmund.de>.
*/
package krake.mapreduce;

import krake.Pair;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.Writable;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

/**
 * Writable that holds two strings.
 */
public class TextPairWritable extends Pair<Text, Text> implements Writable
{
	public TextPairWritable()
	{
		super(new Text(""),  new Text(""));
	}
	
	public TextPairWritable(Text f, Text s)
	{
		super(f, s);
	}

	@Override
	public void readFields(DataInput arg0) throws IOException
	{
		m_first.readFields(arg0);
		m_second.readFields(arg0);
	}

	@Override
	public void write(DataOutput arg0) throws IOException
	{
		m_first.write(arg0);
		m_second.write(arg0);
	}
	
	@Override
	public String toString()
	{
		return m_first + "\t" + m_second;
	}
}
