/*
Krake Webcrawlerframework
Copyright (C) LS2 TU Dortmund (http://ls2-www.cs.tu-dortmund.de)

This file is part of the Krake Webcrawlerframework.
The sourcecode and data files provided come without any warranty. Use at your own risk!

The sourcecode is the intellectual property of its authors. You have permission to download
and use this sourcecode for the sake of inspection and for private and academic use. You are
not allowed to redistribute this sourcecode without our permission. If you want to use the
sourcecode in any other way as granted above,
please contact Christian Sohler <christian.sohler[at]tu-dortmund.de>.
*/
package krake.tests;

import krake.Common;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import static org.junit.Assert.assertEquals;

/**
 * Tests for krake.Common
 */
public class CommonTest
{

	@BeforeClass
	public static void setUpBeforeClass() throws Exception
	{
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception
	{
	}

	@Test
	public void testByteArrayToHexString()
	{
		String result = Common.byteArrayToHexString(new byte[]{23, 65, 0, 127, 44});
		assertEquals(result, "1741007F2C");
		
		result = Common.byteArrayToHexString(new byte[]{});
		assertEquals(result, "");
	}

	@Test
	public void testHextoByteArray()
	{
		String result = Common.byteArrayToHexString(new byte[]{23, 65, 0, 127, 44});
		assertEquals(result, "1741007F2C");
		
		result = Common.byteArrayToHexString(new byte[]{});
		assertEquals(result, "");
	}

	@Test
	public void testintFromBytes() throws IOException
	{
		int a = 234566;
		int b = -234566;
		
		ByteArrayOutputStream buf = new ByteArrayOutputStream(5);
		DataOutputStream out = new DataOutputStream(buf);
		out.writeInt(a);
		byte[] a_as_bytes = buf.toByteArray();
		buf.reset();
		
		out.writeInt(b);
		byte[] b_as_bytes = buf.toByteArray();
		buf.reset();
		
		assertEquals(a, Common.intFromBytes(a_as_bytes));
		assertEquals(b, Common.intFromBytes(b_as_bytes));
	}

}
